import React, { useState } from 'react';
import '../Style/DropDown.css';
import DropDownSelect from './DropDownSelect';

const DropDown = () => {
  const [clicked, setClicked] = useState(false);

  const BackgroundOptions = ["One", "Two", "Three", "Four"];
  const FontOptions = ['Calibri', 'Arial', 'Sans'];
  const MusicOptions = ["Upbeat", "Downbeat"];

  const determineRender = () => {
    if (clicked) return (
      <div className={'dropdown-menu'}>
        <DropDownSelect
          optionLabel={"Background"}
          options={BackgroundOptions}
        />
        <DropDownSelect
          optionLabel={"Font"}
          options={FontOptions}
        />
        <DropDownSelect
          optionLabel={"Sound"}
          options={MusicOptions}
        />
      </div>
    );
  };

  return (<div className={'dropdown'}>
    <span className={'settings-icon'} onClick={() => setClicked(!clicked)}/>
    {determineRender()}
  </div>);
};

export default DropDown;