import React from 'react';
import NavButton from './NavButton';
import "../Style/LandingPage.css"

type props = { // Typescript definitions for the arguments received via props
}

type state = { // Typescript definitions for the state variables of the class

}

class LandingPage extends React.Component<props, state> {

  constructor(props: props) {
    super(props); // Allows access to props in other functions
  }

  render() {
    return (
      <div className={'landing-page'}>
        <h1 className={'title'}> Welcome to the gallery!</h1>

        <div className={'welcome-svg'}>
          <svg className={"SVG"} xmlns="http://www.w3.org/2000/svg" height="400" width="400">
            <polygon points="325,250 150,325 75,250 " fill="blue" fill-opacity="0.5"></polygon>
            <polygon points="150,325 325,150 75,150 " fill="red" fill-opacity="0.5"></polygon>
            <polygon points="325,250 250,75 75,150 " fill="green" fill-opacity="0.5"></polygon>
            <polygon points="150,325 325,250 75,250 " fill="pink" fill-opacity="0.5"></polygon>
            <polygon points="75,150 250,325 150,325 " fill="yellow" fill-opacity="0.5"></polygon>
            <polygon points="150,75 75,250 250,325 " fill="orange" fill-opacity="0.5"></polygon>
          </svg>
        </div>
        <p className={'welcome-p'}>Welcome to this interactive gallery! In here you will find unique art pieces, consisting of a quote and SVG. If you turn up your volume you may hear some wonderful tunes to accompony you during the viewing. You can change settings to get your desired look! You can also save these settings for future appretiation of the art pieces.
        </p>
        <div className={'navbutton left'}>
          <NavButton direction={"left"} />
        </div>
        <div className={'navbutton right'}>
          <NavButton direction={"right"} />
        </div>
      </div>
    );
  }
}

export default LandingPage;
